package main

import (
	"strings"

	"github.com/beego/beego/v2/server/web"
)

type HomeController struct {
	web.Controller
}

func (c *HomeController) Get() {
	// 后缀只支持 *.html/*.tpl
	// 需要放到 path:views/
	// 默认加载控制器名称/action名.tpl模板文件
	// 传数据
	c.Data["Name"] = "xianbin"
	c.Data["show"] = true
	c.Data["city"] = []string{"shanghai", "shangqiu", "zhengzhou"}
	c.Data["region"] = map[string]string{"shanghai": "021", "shangqiu": "0370"}
	c.Data["UpperInfo"] = "XIEXIANBIN"
	// 指定模板
	c.TplName = "home.html"
}

func main() {
	// 自定义函数
	web.AddFuncMap("lower", func(str string) string {
		return strings.ToLower(str)
	})

	web.Router("/home/", &HomeController{})

	web.Run()
}
